Bug 167205 - Unpackaged files at rebuilding perl
Summary: Unpackaged files at rebuilding perl
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-31 15:06 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 10:18:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2005-08-31 15:06:07 UTC
Description of problem:
The following files are unpackaged, but installed - so rpm rebuilding of the 
perl packages dies:
   /usr/share/scripts/c2ph
   /usr/share/scripts/cpan
   /usr/share/scripts/dprofpp
   /usr/share/scripts/enc2xs
   /usr/share/scripts/find2perl
   /usr/share/scripts/h2ph
   /usr/share/scripts/h2xs
   /usr/share/scripts/instmodsh
   /usr/share/scripts/libnetcfg
   /usr/share/scripts/perlbug
   /usr/share/scripts/perlcc
   /usr/share/scripts/perldoc
   /usr/share/scripts/perlivp
   /usr/share/scripts/piconv
   /usr/share/scripts/pl2pm
   /usr/share/scripts/pod2html
   /usr/share/scripts/pod2latex
   /usr/share/scripts/pod2man
   /usr/share/scripts/pod2text
   /usr/share/scripts/pod2usage
   /usr/share/scripts/podchecker
   /usr/share/scripts/podselect
   /usr/share/scripts/prove
   /usr/share/scripts/psed
   /usr/share/scripts/pstruct
   /usr/share/scripts/s2p
   /usr/share/scripts/splain
   /usr/share/scripts/xsubpp

Version-Release number of selected component (if applicable):
perl-5.8.7-0.1.fc5

How reproducible:
Everytime, rebuild perl against latest Rawhide.

Actual results:
No rebuilding of the package.

Expected results:
Rebuilding ;-)

Comment 1 Robert Scheck 2005-09-01 13:45:17 UTC
I had time to look for it and got it, Warren: My build system has /usr/share/
scripts, which is prefered, if no other directory is specified. The directory /
usr/share/scripts is used by some irssi (rpm) packages for example for sharing 
public irssi perl scripts.

I think, it really should hurt absolutely nobody, if we define /usr/bin for the 
scripts in the perl spec file to avoid the auto-detection of perl's configure 
script.

The following change solves the problem in a very sane way for me, could this 
patch applied to CVS/Rawhide, please?! Marking this bug as EasyFix:

------
--- perl.spec       2005-08-29 00:56:18.000000000 +0200
+++ perl.spec.rsc   2005-09-01 15:42:42.000000000 +0200
@@ -312,7 +312,8 @@
        -Dd_gethostent_r_proto -Ud_endhostent_r_proto -Ud_sethostent_r_proto \
        -Ud_endprotoent_r_proto -Ud_setprotoent_r_proto \
        -Ud_endservent_r_proto -Ud_setservent_r_proto \
-       -Dinc_version_list='%{perlmodcompat}'
+       -Dinc_version_list='%{perlmodcompat}' \
+       -Dscriptdir='%{_bindir}'

 make

------

Comment 2 Warren Togami 2005-09-02 00:05:55 UTC
I don't understand perl very well and I don't have time to investigate this
anytime soon, so I hope Ville or JPO or others on fedora-perl-devel-list can
confirm this is the proper thing to do.


Comment 3 Steven Pritchard 2005-09-02 16:58:35 UTC
Those scripts have always been in /usr/bin in the past, so I'd agree that patch
is the right thing to do.

Comment 4 Ville Skyttä 2005-09-03 14:18:05 UTC
Ditto.  Didn't actually test the patch, but it looks obviously correct. 

Comment 5 Jose Pedro Oliveira 2005-09-03 16:08:20 UTC
+1

I don't see any problem either.
Tested the patch in FC4: no differences in the file lists of the binary RPMS.


Note You need to log in before you can comment on or make changes to this bug.